Bug 1433534 - [RFE] [OVN] HA support for OVN ovn-northd
Summary: [RFE] [OVN] HA support for OVN ovn-northd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z2
: 12.0 (Pike)
Assignee: Numan Siddique
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On: 1512568
Blocks: 1442136 osp12_techpreview 1499606
TreeView+ depends on / blocked
 
Reported: 2017-03-17 23:23 UTC by Assaf Muller
Modified: 2018-03-28 17:15 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 17:14:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:15:58 UTC
OpenStack gerrit 372274 None None None 2017-03-17 23:26:52 UTC
OpenStack gerrit 436767 None None None 2017-03-17 23:26:32 UTC
Launchpad 1670564 None None None 2017-03-17 23:26:13 UTC

Description Assaf Muller 2017-03-17 23:23:48 UTC
The central ovn-northd process is currently a single point of failure and should be highly available.

Comment 1 Numan Siddique 2017-03-20 11:48:12 UTC
The gerrit review - https://review.openstack.org/#/c/436767/3 can also be added to the tracker list.

Comment 2 Nir Yechiel 2017-03-20 12:18:17 UTC
(In reply to Numan Siddique from comment #1)
> The gerrit review - https://review.openstack.org/#/c/436767/3 can also be
> added to the tracker list.

Done.

Comment 5 Assaf Muller 2017-04-24 13:34:26 UTC
Patches up for review, need some work. Pushing to M3.

Comment 6 Numan Siddique 2017-06-06 18:00:55 UTC
The review 372274 is merged upstream.

Comment 7 Numan Siddique 2017-06-22 12:14:01 UTC
I am yet to confirm if the patches are merged in downstream or not. Once verified I will update the status accordingly.

Comment 8 Thierry Vignaud 2017-06-22 13:09:07 UTC
Changes are in openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost & puppet-tripleo-7.1.1-0.20170615141731.el7ost

Comment 12 Eran Kuris 2017-11-16 08:50:53 UTC
Failed QA - block due BZ-1512568
https://bugzilla.redhat.com/show_bug.cgi?id=1512568

Comment 15 Assaf Muller 2017-11-30 22:07:54 UTC
Pushing this out to OSP 12 z-stream. We're waiting for Numan's patch to master OVS to be merged, and then we'll see if we can backport it to OVS 2.7 on OSP 12. If not, we'll have to push this feature out to OSP 13.

Comment 17 Numan Siddique 2017-12-06 08:28:54 UTC
The patch to fix the OVN HA issue is merged in master/branch/2.8 and branch 2.7 - https://github.com/openvswitch/ovs/commit/e7b9b17cd096c569b1c4d408b423ecedb9497c41

Comment 18 Nir Yechiel 2018-03-20 05:15:29 UTC
@Eran, is this on your list for RHOSP 13 testing?

Thanks,
Nir

Comment 19 Eran Kuris 2018-03-20 06:24:06 UTC
(In reply to Nir Yechiel from comment #18)
> @Eran, is this on your list for RHOSP 13 testing?
> 
> Thanks,
> Nir

No Nir, I already tested it on OSP12. I did not set the but to "verified"
because it depended on BZ https://bugzilla.redhat.com/show_bug.cgi?id=1512568
as you can see the bug verified so I believe we can set the RFE as verified too.

Comment 22 errata-xmlrpc 2018-03-28 17:14:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.